#ifndef OPTIONS_HH
# define OPTIONS_HH

struct Option {
  Option();

  Option &load(int argc, char *argv[]);
  Option &loadenv();

  void usage(const char *name, ostream &out) const;

  friend ostream &operator<<(ostream &, const Option &);

  bool verbose;
  string dbdir;

  // socket option
  int port;

  // daemon options
  bool daemon;
  bool closefd;
  string pidfile;
  string logfile;

};

#endif
